USAGE:(1)

NAME
remotezip - Access zip file content hosted remotely without downloading the full file

SYNOPSIS
remotezip [-h] [-l] [-d DIR] [--disable-suffix-range-support] url [filename ...]

DESCRIPTION
This module provides a way to access single members of a zip file archive without downloading the full content from a remote web server. For this library to work, the web server hosting the archive needs to support the range header.

  positional arguments:

url Url of the zip archive

filename
    File to extract

  options:

-h, --help
    show this help message and exit

-l, --list
    List files in the archive

-d DIR, --dir DIR
    Extract directory, default current directory

--disable-suffix-range-support
    Use when remote server does not support suffix range (negative offset)

    url [filename ...]